cdac.medinfo.sdk.hl7282.baselibs

## Class RMC

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.RMC

- All Implemented Interfaces:
    IDataType

      public class RMC
      extends CompositeDataType

  RMC - Room coverage

  This data type specifies insurance coverage detail for a room.

  Represents an HL7 RMC data type. This data type has the following attributes:

  1. Room Type (CWE)Required
  2. Amount Type (CWE)Optional
  4. Money or Percentage (MOP)Required

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RMC()` Default Constructor for RMC
    `RMC(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for RMC class which takes two arguments and sets the value in the respective member variable.
    `RMC(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for RMC class which takes five arguments and sets the value in the respective member variable.
    `RMC(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for RMC class which takes six arguments and sets the value in the respective member variable.
    `RMC(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
    `RMC(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for RMC class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `CWE` | `getAmountType()` Returns Amount Type
    `MOP` | `getMoneyOrPercentage()` Returns Money or Percentage
    `CWE` | `getRoomType()` Returns Room Type
    `void` | `setAmountType(CWE objCWE)` Sets the AmountType.
    `void` | `setAmountType(java.lang.String strAmountType)` Sets the AmountType.
    `void` | `setMoneyOrPercentage(MOP objMoneyOrPercentage)` Sets the MoneyOrPercentage.
    `void` | `setRoomType(CWE objCWE)` Sets the RoomType.
    `void` | `setRoomType(java.lang.String strRoomType)` Sets the RoomType.
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RMC

          public RMC()

      Default Constructor for RMC

    - #### RMC

          public RMC(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### RMC

          public RMC(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for RMC class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### RMC

          public RMC(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for RMC class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### RMC

          public RMC(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for RMC class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### RMC

          public RMC(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for RMC class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setRoomType

          public void setRoomType(java.lang.String strRoomType)

      Sets the RoomType.
      Parameters:
        `strRoomType` - Specifies the room type.

    - #### setRoomType

          public void setRoomType(CWE objCWE)

      Sets the RoomType.
      Parameters:
        `objCWE` - Specifies the room type.

    - #### setAmountType

          public void setAmountType(java.lang.String strAmountType)

      Sets the AmountType.
      Parameters:
        `strAmountType` - Specifies amount quantity type

    - #### setAmountType

          public void setAmountType(CWE objCWE)

      Sets the AmountType.
      Parameters:
        `objCWE` - Specifies amount quantity type

    - #### setMoneyOrPercentage

          public void setMoneyOrPercentage(MOP objMoneyOrPercentage)

      Sets the MoneyOrPercentage.
      Parameters:
        `objMoneyOrPercentage` - Specifies an amount that may be either currency or a percentage.

    - #### getRoomType

          public CWE getRoomType()

      Returns Room Type
      Returns:
        CWE - data type.

    - #### getAmountType

          public CWE getAmountType()

      Returns Amount Type
      Returns:
        CWE - data type.

    - #### getMoneyOrPercentage

          public MOP getMoneyOrPercentage()

      Returns Money or Percentage
      Returns:
        MOP - data type.

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validetion is based on the compulsory fields for the Datatype.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.